<?php

namespace Onestartup\ProductResource\Model;

use Illuminate\Database\Eloquent\Model;

class ProductResource extends Model
{
    protected $table = 'products_resource';
    protected $fillable = [
    	'name',
		'slug',
		'description',
		'specifications',
		'features',
		'active',
        'publication_date',
		'category_id',
        'cover',
        'extra1',
        'extra2',
        'extra3',
        'extra4',
        'extra5',
        'extra6',
        'extra7',
        'extra8',
        'extra9',
        'extra10',
    ];

    public function category()
    {
        return $this->belongsTo('Onestartup\ProductResource\Model\ProductResourceCategory', 'category_id');
    }

    public function user()
    {
        return $this->belongsTo('App\User', 'user_id');
    }

    public function images()
    {
        return $this->hasMany('Onestartup\ProductResource\Model\ProductImageResource', 'product_id');
    }

    public function resources()
    {
        return $this->hasMany('Onestartup\ProductResource\Model\ProductResourceResource', 'product_id');
    }    
}
